import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  apiKey: z.literal(true).optional(),
  aiEnabled: z.literal(true).optional(),
  openAiKey: z.literal(true).optional(),
  openAiEnabled: z.literal(true).optional(),
  claudeAiKey: z.literal(true).optional(),
  claudeAiEnabled: z.literal(true).optional(),
  claudeAiModel: z.literal(true).optional(),
  openAiModel: z.literal(true).optional(),
  googleAiModel: z.literal(true).optional(),
  dentalMgmtKey: z.literal(true).optional(),
  dentalMgmtEnabled: z.literal(true).optional(),
  afterHoursEnabled: z.literal(true).optional(),
  openPhoneReply: z.literal(true).optional()
}).strict();
export const AiSettingsMaxAggregateInputObjectSchema: z.ZodType<Prisma.AiSettingsMaxAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsMaxAggregateInputType>;
export const AiSettingsMaxAggregateInputObjectZodSchema = makeSchema();
